using IWS5.Core.DTO;
using IWS5.Core.Enums;
using IWS5.Core.Models;
using IWS5.Core.Models.Request;
using IWS5.Core.Models.Request.Process;

namespace IWS5.Core.Services;

public interface IProcessService
{
    Task<Response<List<ProcessListItemDTO>>> ListProcesses(ListProcessRequest listProcessRequest);
    Task<Response<ATRightAllowRight[]>> ListProcessesPermissions(ListProcessAllowedRights listProcessAllowedTemplatesRequest);
    Task UpdateProcessDefaultTemplate(UpdateProcessDefaultTemplateRequest updateProcessDefaultTemplateRequest);
    Task<Response<ProcessAllowedTemplateListDTO>> ListProcessesAllowedTemplates(ListProcessAllowedTemplatesRequest listProcessAllowedTemplatesRequest);
}
